Skip to main content
GET
/
api
/
v1
/
apps
/
builds
/
{version_id}
/
workspace
Get Build Workspace
curl --request GET \
  --url https://backend.revyl.ai/api/v1/apps/builds/{version_id}/workspace \
  --header 'Authorization: Bearer <token>'
{
  "app": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "platform": "<string>",
    "static_url": "<string>",
    "current_version": "<string>",
    "description": "<string>",
    "system_prompt": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "latest_version": "<string>",
    "versions_count": 0,
    "latest_build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "current_build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "attached_tests": 0,
    "pinned_tests": 0,
    "recent_executions": 0,
    "rolling_pass_rate": 123,
    "attribution_ready": false
  },
  "build": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "version": "<string>",
    "artifact_url": "<string>",
    "metadata": {},
    "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "uploaded_at": "2023-11-07T05:31:56Z",
    "download_url": "<string>",
    "package_name": "<string>",
    "was_reused": true
  },
  "previous_build_id": "<string>",
  "previous_build_version": "<string>",
  "attached_tests": 0,
  "exact_runs": 0,
  "completed_runs": 0,
  "pass_rate": 123,
  "new_failures": 0,
  "fixed_tests": 0,
  "not_run": 0,
  "readiness": "Not run",
  "attribution_note": "<string>",
  "coverage": [
    {
      "test_id": "<string>",
      "test_name": "<string>",
      "pinned_version": "<string>",
      "last_status": "<string>",
      "last_execution_time": "2023-11-07T05:31:56Z",
      "last_execution_id": "<string>",
      "last_duration_seconds": 123
    }
  ],
  "compare": [
    {
      "test_id": "<string>",
      "test_name": "<string>",
      "current_status": "<string>",
      "previous_status": "<string>",
      "delta": "<string>",
      "current_execution_id": "<string>",
      "previous_execution_id": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

version_id
string<uuid>
required

Response

Successful Response

app
AppResponse · object
required

Response model for an app.

build
BuildResponse · object
required

Response model for a build (specific artifact/version of an app).

previous_build_id
string | null
previous_build_version
string | null
attached_tests
integer
default:0
exact_runs
integer
default:0
completed_runs
integer
default:0
pass_rate
number | null
new_failures
integer
default:0
fixed_tests
integer
default:0
not_run
integer
default:0
readiness
string
default:Not run
attribution_note
string | null
coverage
BuildCoverageItem · object[]
compare
BuildComparisonItem · object[]